Bug 242977 - net-mgmt/argus3-clients: broken SASL and missing PREFIX
Summary: net-mgmt/argus3-clients: broken SASL and missing PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-30 05:10 UTC by Tomoyuki Sakurai
Modified: 2020-02-12 23:47 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
the patch to fix the issues (5.69 KB, patch)
2019-12-30 05:10 UTC, Tomoyuki Sakurai
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomoyuki Sakurai 2019-12-30 05:10:28 UTC
Created attachment 210321 [details]
the patch to fix the issues

SASL is enabled by the default package, however, it does not work due to hard-coded path to `/usr/lib/sasl2`.

also, some tools have fixed path to `/etc/foo`.

the patch fixes these issues, and makes portlint happy.
Comment 1 Automation User 2020-01-14 00:24:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/109057814
Comment 2 commit-hook freebsd_committer 2020-02-12 23:46:49 UTC
A commit references this bug:

Author: bofh
Date: Wed Feb 12 23:45:59 UTC 2020
New revision: 525985
URL: https://svnweb.freebsd.org/changeset/ports/525985

Log:
  net-mgmt/argus3-clients: Fix BROKEN SASL

  - Fix PREFIX
  - Add SHEBANGFIX
  - Pet portlint

  PR:		242977
  Submitted by:	trombik1973@gmail.com

Changes:
  head/net-mgmt/argus3-clients/Makefile
Comment 3 Muhammad Moinur Rahman freebsd_committer 2020-02-12 23:47:17 UTC
Committed with changes